package org.firstinspires.ftc.teamcode.subsystem;

import static org.firstinspires.ftc.teamcode.PedroConstants.LIFT_SLIDE_LEFT_MOTOR;
import static org.firstinspires.ftc.teamcode.PedroConstants.LIFT_SLIDE_RIGHT_MOTOR;

import com.qualcomm.robotcore.hardware.DcMotor;
import com.qualcomm.robotcore.hardware.DcMotorEx;
import com.qualcomm.robotcore.hardware.DcMotorSimple;
import com.qualcomm.robotcore.hardware.HardwareMap;
import static org.firstinspires.ftc.teamcode.configs.RobotConstants.toBar;
import static org.firstinspires.ftc.teamcode.configs.RobotConstants.toFloor;

public class HangMotorSubsystem {
    private DcMotorEx Hang;

    public HangMotorSubsystem(HardwareMap hardwareMap) {

        Hang = hardwareMap.get(DcMotorEx.class, "skyhook");


    }

    public int getCurrentPosition(){
        int Return = Hang.getCurrentPosition();
        return Return;
    }
    public void init(){
        Hang.setMode(DcMotor.RunMode.STOP_AND_RESET_ENCODER);
        Hang.setDirection(DcMotorSimple.Direction.FORWARD);
        Hang.setZeroPowerBehavior(DcMotor.ZeroPowerBehavior.BRAKE);
        Hang.setMode(DcMotor.RunMode.RUN_USING_ENCODER);

    }
    public void hangRobot(){
        Hang.setTargetPosition(toBar);

    }
    public void robotToFloor(){
        Hang.setTargetPosition(toFloor);
    }
    public void disableMotor(){
        Hang.setPower(0);
        Hang.setMotorDisable();

    }
    public void toHangPosition(int Position){
        //write in limits for protection
        Hang.setPower(Position);
    }

}
